
QGIS Application - Bug report #1526

QgsVectorFileWriter() throws error by Postgres columns of type bigint

2009-02-03 06:36 AM - Horst Düster

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11586

Description

The [[QgsVectorFileWriter]]()-Method throws an error when a [[PostGIS]]-Layer contains columns of type bigint. I know that not all vector

file formats, especially DBF, do support this datatype. A feasible solution could be to cast this type to character strings.

Associated revisions

Revision 30de77f6 - 2009-02-03 10:25 PM - Jürgen Fischer

fix #1526

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@10101 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 792862ba - 2009-02-03 10:25 PM - Jürgen Fischer

fix #1526

git-svn-id: http://svn.osgeo.org/qgis/trunk@10101 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-02-03 07:10 AM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to fixed

implemented in

#2 - 2009-02-03 07:16 AM - Horst Düster

Replying to [comment:1 jef]:

implemented in

Thank you very much for your lightspeedfix. Would you please commit the fix also to the Version_1_0 branch?

#3 - 2009-02-03 07:50 AM - Horst Düster
http://svn.osgeo.org/qgis/trunk/qgis@10101
http://svn.osgeo.org/qgis/trunk@10101


- Resolution deleted (fixed)

- Status changed from Closed to Feedback

mmmm....

The export of bigint columned layer works without error message. But unfortunately the saved shape file is empty. :-((

Other layers without bigint columns are saveable as shape files without any problems.

I reopen the ticket.

#4 - 2009-02-03 01:26 PM - Jürgen Fischer

Replying to [comment:3 hdus]:

mmmm....

The export of bigint columned layer works without error message. But unfortunately the saved shape file is empty. :-((

ouch, could have sworn that it worked when I tested it.   Better luck this time.

fixed in commit:792862ba (SVN r10102).

#5 - 2009-04-02 03:39 PM - Paolo Cavallini

- Resolution set to fixed

- Status changed from Feedback to Closed

Forgot to close it?

#6 - 2009-08-22 01:02 AM - Anonymous

Milestone Version 1.0.2 deleted
